Class | YARD::CLI::Graph
In: | lib/yard/cli/graph.rb
Parent: | Command

A command-line utility to generate Graphviz graphs from a set of objects

@see Graph#run @since 0.6.0

### Methods

description new run

### Attributes

objects | [R] | The set of objects to include in the graph.

options

[R]

The options parsed out of the commandline. Default options are:

      :format => :dot

### Public Class methods

new()

Creates a new instance of the command-line utility

### Public Instance methods

description()
run(*args)

Runs the command-line utility.

@example

      grapher = Graph.new
      grapher.run('--private')

@param [Array<String>] args each tokenized argument

[Validate]